Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0027631
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] Web POSmajoralways2014-09-17 19:562014-10-02 12:23
ReporterjecharriView Statuspublic 
Assigned Tomigueldejuana 
PriorityimmediateResolutionfixedFixed in VersionRR14Q4
StatusclosedFix in branchFixed in SCM revision5c45eb73a70c
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Tomarvintm
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0027631: Document sequence is not reseted when you change the prefix

DescriptionDocument sequence is not reseted when you change the prefix
Steps To Reproduce-Login to Web POS and verify the documentno --> for example VBS1-0000103
-Go to ERP and window "POS Terminal"
-Select the terminal and change field "Order document No Prefix" to another value

The expected behavior (and the previous one) was that documentno was reseted to XX-000000001

Currently this does not happen and proposed documentno is XX-0000103
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0027956 closedmigueldejuana [RR14Q4] Duplicate receipt id gets generated, when sales order is created from Quotation continuously twice. 
blocks backport 0027813RR14Q2.3 closedOrekaria Backport the document number fixes introduced in Q4 to Q2.4/Q3 
blocks defect 0027911 closedOrekaria The property documentsequence is not assigned and the 'seqNoReady' trigger is not fired 

-  Notes
(0070279)
hgbot (developer)
2014-09-23 13:28

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: 320d799eefb3922168a811285fe19fdd5854bb9a
Author: Miguel de Juana <miguel.dejuana <at> openbravo.com>
Date: Tue Sep 23 13:28:08 2014 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/320d799eefb3922168a811285fe19fdd5854bb9a [^]

Fixed issue 0027631: Document sequence is not reseted when you change the prefix

---
M src/org/openbravo/retail/posterminal/POSUtils.java
M web/org.openbravo.retail.posterminal/js/login/model/login-model.js
---
(0070280)
migueldejuana (developer)
2014-09-23 13:34

If we change the prefix, it will start doc sequence in 1, but if we put again the previous prefix, it won't start from the last doc number, it will start from 1.
We should not have orders pending to send to backend when we change the prefix, it is an strange case, but we should not do it.
(0070303)
dmitry_mezentsev (developer)
2014-09-24 10:44

Miguel,
As a reminder to not forget to fill in "regression ..." fields.

Thanks.
(0070318)
hgbot (developer)
2014-09-24 16:57

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: d359a44cb2cb4da772862b9e9dc034a0387fbde7
Author: Miguel de Juana <miguel.dejuana <at> openbravo.com>
Date: Wed Sep 24 16:57:03 2014 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/d359a44cb2cb4da772862b9e9dc034a0387fbde7 [^]

Backout related issue 0027631: Change prefix and document sequence is not reset. It does not work well

---
M src/org/openbravo/retail/posterminal/POSUtils.java
M web/org.openbravo.retail.posterminal/js/login/model/login-model.js
---
(0070365)
hgbot (developer)
2014-09-25 11:44

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: 2cb866283145066f94702a6c9013b468363a04bd
Author: Miguel de Juana <miguel.dejuana <at> openbravo.com>
Date: Thu Sep 25 11:43:49 2014 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/2cb866283145066f94702a6c9013b468363a04bd [^]

Fixed issue 0027631: Document sequence is not reseted when you change the prefix

---
M web/org.openbravo.retail.posterminal/js/login/model/login-model.js
---
(0070373)
hgbot (developer)
2014-09-25 12:52

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: ef8d8b55ed4b18adf8c5a8d7e276743480a79dd1
Author: Miguel de Juana <miguel.dejuana <at> openbravo.com>
Date: Thu Sep 25 12:43:21 2014 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/ef8d8b55ed4b18adf8c5a8d7e276743480a79dd1 [^]

Fixed issue 0027631: Document sequence is not reseted when you change the prefix

---
M web/org.openbravo.retail.posterminal/js/login/model/login-model.js
M web/org.openbravo.retail.posterminal/js/model/order.js
---
(0070374)
migueldejuana (developer)
2014-09-25 12:54

We do not know when was introduced this regression. It seems it have been introduced at the very beginning.
(0070431)
hgbot (developer)
2014-09-26 11:04

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: e351786aedd2a95b09d6e79220d49adaafc676df
Author: Miguel de Juana <miguel.dejuana <at> openbravo.com>
Date: Fri Sep 26 11:04:02 2014 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/e351786aedd2a95b09d6e79220d49adaafc676df [^]

Fixed issue 0027631: Document sequence is not reseted when you change the prefix

---
M web/org.openbravo.retail.posterminal/js/login/model/login-model.js
---
(0070440)
hgbot (developer)
2014-09-26 16:52

Repository: tools/automation/pi-mobile
Changeset: c90bad8410c2946436ce7f90f4096369096f959b
Author: Rafa Alonso <rafael.alonso <at> openbravo.com>
Date: Fri Sep 26 16:51:26 2014 +0200
URL: http://code.openbravo.com/tools/automation/pi-mobile/rev/c90bad8410c2946436ce7f90f4096369096f959b [^]

Related to issue 27631: a test have been added to verify that a change in the docno prefix will properly update the WebPOS docno

---
M src-test/org/openbravo/retail/integrationtest/tests/issues/RetailIssuesTestSuite.java
A src-test/org/openbravo/retail/integrationtest/tests/issues/I27631_DocumentnoResetedAfterChangingThePrefix.java
---
(0070558)
hgbot (developer)
2014-09-30 14:41

Repository: tools/automation/pi-mobile
Changeset: 0b86f74bc4145d32b2b5d934c60cb38eb4877f5d
Author: Rafa Alonso <rafael.alonso <at> openbravo.com>
Date: Tue Sep 30 14:32:36 2014 +0200
URL: http://code.openbravo.com/tools/automation/pi-mobile/rev/0b86f74bc4145d32b2b5d934c60cb38eb4877f5d [^]

Related to issue 27631: added a test to verify that the quotation number is reset after changing the prefix in the backend

---
M src-test/org/openbravo/retail/integrationtest/tests/issues/RetailIssuesTestSuite.java
R src-test/org/openbravo/retail/integrationtest/tests/issues/I27631_DocumentnoResetedAfterChangingThePrefix.java
---
(0070600)
hgbot (developer)
2014-10-01 09:21

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: e9f032a45f7aaf7521ede1564b4545de3b686b67
Author: Miguel de Juana <miguel.dejuana <at> openbravo.com>
Date: Wed Oct 01 09:20:13 2014 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/e9f032a45f7aaf7521ede1564b4545de3b686b67 [^]

Fixed issue 0027631: Document sequence is not reseted when you change the prefix

---
M web/org.openbravo.retail.posterminal/js/login/model/login-model.js
---
(0070630)
hgbot (developer)
2014-10-01 20:59

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: 5c45eb73a70c4dc4f350b4cbafe2b01162d68f51
Author: Miguel de Juana <miguel.dejuana <at> openbravo.com>
Date: Wed Oct 01 20:58:53 2014 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/5c45eb73a70c4dc4f350b4cbafe2b01162d68f51 [^]

Fixed issue 0027631: Document sequence is not reseted when you change the prefix

---
M src/org/openbravo/retail/posterminal/POSUtils.java
M src/org/openbravo/retail/posterminal/term/Terminal.java
M web/org.openbravo.retail.posterminal/js/login/model/login-model.js
---

- Issue History
Date Modified Username Field Change
2014-09-17 19:56 jecharri New Issue
2014-09-17 19:56 jecharri Assigned To => marvintm
2014-09-17 19:56 jecharri Triggers an Emergency Pack => No
2014-09-17 19:57 jecharri Regression level => Production - Confirmed Stable
2014-09-23 13:28 hgbot Checkin
2014-09-23 13:28 hgbot Note Added: 0070279
2014-09-23 13:28 hgbot Status new => resolved
2014-09-23 13:28 hgbot Resolution open => fixed
2014-09-23 13:28 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/320d799eefb3922168a811285fe19fdd5854bb9a [^]
2014-09-23 13:34 migueldejuana Note Added: 0070280
2014-09-24 10:44 dmitry_mezentsev Note Added: 0070303
2014-09-24 16:57 hgbot Checkin
2014-09-24 16:57 hgbot Note Added: 0070318
2014-09-25 09:26 migueldejuana Assigned To marvintm => migueldejuana
2014-09-25 09:26 migueldejuana Status resolved => new
2014-09-25 09:26 migueldejuana Resolution fixed => open
2014-09-25 11:44 hgbot Checkin
2014-09-25 11:44 hgbot Note Added: 0070365
2014-09-25 11:44 hgbot Status new => resolved
2014-09-25 11:44 hgbot Resolution open => fixed
2014-09-25 11:44 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/320d799eefb3922168a811285fe19fdd5854bb9a [^] => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/2cb866283145066f94702a6c9013b468363a04bd [^]
2014-09-25 12:52 hgbot Checkin
2014-09-25 12:52 hgbot Note Added: 0070373
2014-09-25 12:52 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/2cb866283145066f94702a6c9013b468363a04bd [^] => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/ef8d8b55ed4b18adf8c5a8d7e276743480a79dd1 [^]
2014-09-25 12:54 migueldejuana Note Added: 0070374
2014-09-26 11:04 hgbot Checkin
2014-09-26 11:04 hgbot Note Added: 0070431
2014-09-26 11:04 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/ef8d8b55ed4b18adf8c5a8d7e276743480a79dd1 [^] => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/e351786aedd2a95b09d6e79220d49adaafc676df [^]
2014-09-26 16:52 hgbot Checkin
2014-09-26 16:52 hgbot Note Added: 0070440
2014-09-30 14:41 hgbot Checkin
2014-09-30 14:41 hgbot Note Added: 0070558
2014-09-30 18:07 plujan Regression level Production - Confirmed Stable =>
2014-10-01 09:21 hgbot Checkin
2014-10-01 09:21 hgbot Note Added: 0070600
2014-10-01 09:22 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/e351786aedd2a95b09d6e79220d49adaafc676df [^] => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/e9f032a45f7aaf7521ede1564b4545de3b686b67 [^]
2014-10-01 20:59 hgbot Checkin
2014-10-01 20:59 hgbot Note Added: 0070630
2014-10-01 20:59 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/e9f032a45f7aaf7521ede1564b4545de3b686b67 [^] => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/5c45eb73a70c4dc4f350b4cbafe2b01162d68f51 [^]
2014-10-02 12:23 marvintm Review Assigned To => marvintm
2014-10-02 12:23 marvintm Status resolved => closed
2014-10-02 12:23 marvintm Fixed in Version => RR14Q4
2014-10-09 13:06 Orekaria Relationship added blocks 0027813
2014-10-23 17:29 migueldejuana Relationship added related to 0027956
2014-11-11 14:37 Orekaria Relationship added blocks 0027911


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker